<template>
	<view class="container main">
		<view class="one">
			<view class="one_1">联系电话</view>
			<view class="one_2">
				<text class="t-icon t-icon-bohao"></text>
				<text :user-select="true"> {{info.Phone||'暂无'}}</text>
			</view>
		</view>
		<view class="one">
			<view class="one_1">电子邮箱</view>
			<view class="one_2">
				<text class="t-icon t-icon-youxiang"></text>
				<text :user-select="true"> {{info.Email||'暂无'}}</text>
			</view>
		</view>
		<view class="one">
			<view class="one_1">公司</view>
			<view class="one_2">
				<text class="t-icon t-icon-gongsi"></text>
				<text :user-select="true"> {{info.Company||'暂无'}}</text>
			</view>
		</view>
		<view class="one">
			<view class="one_1">地址</view>
			<view class="one_2">
				<text class="t-icon t-icon-zuobiao"></text>
				<text :user-select="true"> {{info.Address||'暂无'}}</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		components: {},
		data() {
			return {
				config: {},
				info: {},
			}
		},
		onLoad: async function(e) {
			const that = this;
			that.searchConfig();
		},
		methods: {
			searchConfig() {
				const that = this;
				try {
					const res = uni.getStorageSync('config');
					if (res) {
						that.$set(that, `config`, res);
						that.$set(that, `info`, res?.footInfo);
					}
				} catch (e) {}
			},
			// 处理富文本
			formatRichText(html) {
				if (html) {
					// 富文本内容格式化
					return html && html.replace(/<img[^>]*>/gi, function(match, capture) {
						// 查找所有的 img 元素
						return match.replace(/style=".*"/gi, '').replace(/style='.*'/gi,
							'')
						// 删除找到的所有 img 元素中的 style 属性
					}).replace(/\<img/gi, '<img style="width:100%;"') // 对 img 元素增加 style 属性，并设置宽度为 100%
				}
			},
		}
	}
</script>

<style lang="scss" scoped>
	.main {
		background-color: var(--f9Color);

		.one {
			padding: 2vw;
			margin: 2vw 0 0 0;
			background-color: var(--mainColor);

			.one_1 {
				text-indent: 10px;
				border-left: 3px solid var(--f3CColor);
				font-weight: bold;
				font-size: var(--font16Size);
			}

			.one_2 {
				padding: 2vw;
				font-size: var(--font14Size);
				color: var(--f69Color);
				display: flex;
				align-items: center;

				.t-icon {
					width: var(--font14Size);
					height: var(--font14Size);
				}

				text {
					margin: 0 0 0 1vw;
				}
			}
		}
	}
</style>